part of 'test_set_edit_bloc.dart';

abstract class TestSetEditEvent extends Equatable {
  const TestSetEditEvent();

  @override
  List<Object> get props => [];
}

class TestSetEditLoad extends TestSetEditEvent {
  const TestSetEditLoad();
}

class TestSetEditChangeExerciseType extends TestSetEditEvent {
  final int index;
  final int exerciseTypeId;
  const TestSetEditChangeExerciseType({required this.index, required this.exerciseTypeId});

  @override
  List<Object> get props => [index, exerciseTypeId];
}

class TestSetEditDeleteExerciseType extends TestSetEditEvent {
  final int exerciseTypeId;
  const TestSetEditDeleteExerciseType({required this.exerciseTypeId});

  @override
  List<Object> get props => [exerciseTypeId];
}

class TestSetEditSkipExerciseType extends TestSetEditEvent {
  final int exerciseTypeId;
  const TestSetEditSkipExerciseType({required this.exerciseTypeId});

  @override
  List<Object> get props => [exerciseTypeId];
}

class TestSetEditSubmit extends TestSetEditEvent {
  const TestSetEditSubmit();
}
